<template>
  <h1>TEST</h1>
  <v-btn @click="increment(), loadUser()" primary>Test</v-btn>
  <div>{{ count }}</div>
  <div>Utilisateur : {{ user }}</div>
</template>

<script lang="ts" setup>
import { ref } from 'vue';
import UserService from '../services/UserService';

  const count = ref<number>(0);
  const user = ref<String>("");

  function increment(){
    count.value = count.value+1;
  }

  function loadUser(){
    UserService.getUser().then(r => {
      user.value = r.data
    });
  }
</script>
